/** @typedef {Publishers.Publisher.Items.Item} PublisherItem */
/** @typedef {Publishers.Publisher.Items.Item.Attributes.Attribute} PublisherItemAttribute */

/**
 *
 * @group manager
 * @class Items
 * @memberof Publishers.Publisher
 */
var Items = function () {

    /**
     *
     * @public
     * @function get
     * @memberof Publishers.Publisher.Items
     * @param _id {v2.integer}
     * @returns {tools.promise(PublisherItem)}
     */
    this.get = function (_id) {

    };

    /**
     *
     * @public
     * @function is_exist
     * @memberof Publishers.Publisher.Items
     * @param _id {v2.integer}
     * @returns {boolean}
     */
    this.is_exist = function (_id) {

    };

    /**
     *
     * @group manager
     * @class Item
     * @memberof Publishers.Publisher.Items
     */
    var Item = function () {
        /**
         *
         * @name id
         * @public
         * @memberof Publishers.Publisher.Items.Item
         * @type {v2.integer}
         */
        this.id = function () {

        };

        /**
         *
         * @public
         * @function get
         * @memberof Publishers.Publisher.Items.Item
         * @param _index {v2.integer}
         * @returns {tools.promise(PublisherItemAttribute)}
         */
        this.get = function (_index) {

        };
    };

};


/**
 *
 * @group manager
 * @class Attributes
 * @memberof Publishers.Publisher.Items.Item
 */
var Attributes = function () {

    /**
     *
     * @public
     * @function get
     * @memberof Publishers.Publisher.Items.Item.Attributes
     * @param _id {v2.integer}
     * @returns {tools.promise(PublisherItemAttribute)}
     */
    this.get = function (_id) {

    };

    /**
     *
     * @public
     * @function attributes
     * @memberof Publishers.Publisher.Items.Item.Attributes
     * @returns {v2.list(v2.string)}
     */
    this.attributes = function () {}


    /**
     *
     * @group manager
     * @class Attribute
     * @memberof Publishers.Publisher.Items.Item.Attributes
     */
    var Attribute = function () {
        /**
         *
         * @name s_size_change
         * @public
         * @memberof Publishers.Publisher.Items.Item.Attributes.Attribute
         * @type {number}
         */
        this.s_size_change = -1;

        /**
         *
         * @public
         * @function name
         * @memberof Publishers.Publisher.Items.Item.Attributes.Attribute
         * @returns {v2.string}
         */
        this.name = function () {

        };

        /**
         *
         * @public
         * @function value
         * @memberof Publishers.Publisher.Items.Item.Attributes.Attribute
         * @returns {v2}
         */
        this.value = function () {

        };

        /**
         *
         * @public
         * @function type
         * @memberof Publishers.Publisher.Items.Item.Attributes.Attribute
         * @returns {v2.type}
         */
        this.type = function () {

        }
    };
};


